MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023608Community[OCCT] OCCT:Codingpublic2012-12-02 20:282013-04-29 15:22
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSLinuxOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023608: configure scripts reports on failed multibuf.h
Description1. excerpt of running configure:

checking X11/extensions/transovl.h usability... no
checking X11/extensions/transovl.h presence... no
checking for X11/extensions/transovl.h... no
checking X11/extensions/readdisplay.h usability... no
checking X11/extensions/readdisplay.h presence... no
checking for X11/extensions/readdisplay.h... no
checking X11/extensions/multibuf.h usability... no
checking X11/extensions/multibuf.h presence... yes
configure: WARNING: X11/extensions/multibuf.h: present but cannot be compiled
configure: WARNING: X11/extensions/multibuf.h: check for missing prerequisite headers?
configure: WARNING: X11/extensions/multibuf.h: see the Autoconf documentation
configure: WARNING: X11/extensions/multibuf.h: section "Present But Cannot Be Compiled"
configure: WARNING: X11/extensions/multibuf.h: proceeding with the preprocessor's result
configure: WARNING: X11/extensions/multibuf.h: in the future, the compiler will take precedence
configure: WARNING: ## -------------------------------------- ##
configure: WARNING: ## Report this to the OpenCASCADE lists. ##
configure: WARNING: ## -------------------------------------- ##
checking for X11/extensions/multibuf.h... yes
checking sys/filio.h usability... no
checking sys/filio.h presence... no
checking for sys/filio.h... no
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking libc.h usability... no
checking libc.h presence... no
checking for libc.h... no
checking for X11/extensions/multibuf.h... (cached) yes
checking for sys/filio.h... (cached) no

An excerpt of config.log is enclosed. It shows that Xlib.h was missing to successfully compile multibuf.h.
Note that depending on version of the autoconf the result of the discrepancy (file is present but cannot compile) is different. See
http://www.gnu.org/savannah-checkouts/gnu/autoconf/manual/autoconf-2.69/html_node/Present-But-Cannot-Be-Compiled.html. [^] So it is better to fix this into successfully use multibuf.h on those systems where it is present.


2. Wrong version name in config.log:
"It was created by OpenCASCADE configure 6.5.3, which was
generated by GNU Autoconf 2.59. Invocation command line was"

The fixes are enclosed (as there is no Git access to this file configure.ac). Perhaps for 0000002 you might want to put some auto-generated version stamp instead of manual value, prone to human error.
Steps To Reproduce./build_configure
./configure <specific parameters>
check the output and config.log.
TagsNo tags attached.
Test case number
Attached Fileszip file icon config.zip (1,688 bytes) 2012-12-02 20:28
patch file icon d.patch (307 bytes) 2012-12-02 20:29

- Relationships

-  Notes
(0023258)
ibs (developer)
2013-02-05 11:35
edited on: 2013-02-05 11:36

The patch has been reviewed and is ready for testing in CR23608 branch in WOK git

(0023403)
bugmaster (administrator)
2013-02-20 10:26

Integrated into occt-wok repository

- Issue History
Date Modified Username Field Change
2012-12-02 20:28 Roman Lygin New Issue
2012-12-02 20:28 Roman Lygin Assigned To => bugmaster
2012-12-02 20:28 Roman Lygin File Added: config.zip
2012-12-02 20:28 Roman Lygin Status new => resolved
2012-12-02 20:29 Roman Lygin File Added: d.patch
2013-02-04 17:33 bugmaster Assigned To bugmaster => ibs
2013-02-05 11:35 ibs Note Added: 0023258
2013-02-05 11:36 ibs Note Edited: 0023258 View Revisions
2013-02-05 11:36 ibs Assigned To ibs => bugmaster
2013-02-05 11:36 ibs Status resolved => reviewed
2013-02-20 10:26 bugmaster Note Added: 0023403
2013-02-20 10:26 bugmaster Status reviewed => verified
2013-02-20 10:26 bugmaster Resolution open => fixed
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:22 user533 Fixed in Version => 6.6.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker